using System;
using System.Data;
using System.Globalization;
using System.Resources;
using System.Threading;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                   Started Date  : 12-Aug-2007
* Module          : Vehicle Master                              Last Modified : 14-Aug-2007
* Programmer      : 
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Master_TA_UI_MasterTransportationVehicleView : Base.BasePage
{
    #region "Variable Declaration"
    ResourceManager rm;
    CultureInfo ci;
    Cls_CheckUser objCheckUser = new Cls_CheckUser();
    cls_Common objCommon = new cls_Common();
    DataSet ds_Checkuser = new DataSet();
    cls_Master_Transportation objTransportationVehicle = new cls_Master_Transportation();
    int VehId, Count, auEmpId;
    string gstrUserGroupName = string.Empty;
    #endregion
    #region PageLoad
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        //get the culture info to set the language
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
        auEmpId = Convert.ToInt32(Session["EmpAutoID"].ToString());
        //Set UserRights
        UserRights();
        loadcss();
        btn_Modify.Focus();
        gstrUserGroupName = Convert.ToString(Session["UserGroupName"]);
        if (gstrUserGroupName == "SuperAdmin")
        {
            btn_Restore.Visible = true;
            btn_PermanentDelete.Visible = true;
        }
        else
        {
            btn_Restore.Visible = false;
            btn_PermanentDelete.Visible = false;
            lblDeleted.Visible = false;
            lblDeletedData.Visible = false;
        }
        VehId = Convert.ToInt32(Request.QueryString["VehicleId"].ToString());
        LoadTransportationVehicle(VehId);
        btn_Delete.OnClientClick = "return confirm('" + rm.GetString("Alert_ConfirmDelete", ci) + "')";
        btn_Restore.OnClientClick = "return confirm('" + rm.GetString("Alert_Areyousuretorestore", ci) + "')";
        btn_PermanentDelete.OnClientClick = "return confirm('" + rm.GetString("Alert_AreyouwantDeleteRecordPermanently", ci) + "')";
        Count = objTransportationVehicle.CheckVehicleNoBYVehicleID(Convert.ToString(VehId));
        if (Count > 0)
        {
            btn_Delete.Enabled = false;
            btn_PermanentDelete.Enabled = false;
        }
        if (!IsPostBack)
        {
            objCommon.menu("Transportation", "230");
        }
    }
    #endregion
    #region UserDefinedFunctions
    private void LoadTransportationVehicle(int id)
    {
        DataSet ds_transVehicle = objTransportationVehicle.SelectTransportationVehicleDetailsById(id);
        if (ds_transVehicle.Tables[0].Rows.Count > 0)
        {
            lblVehNo.Text = ds_transVehicle.Tables[0].Rows[0]["VehicleNo"].ToString();
            lblVehDesc.Text = ds_transVehicle.Tables[0].Rows[0]["VehicleDescription"].ToString();
            lblDeletedData.Text = ds_transVehicle.Tables[0].Rows[0]["Isdeleted"].ToString();
            if (lblDeletedData.Text == "True" || lblDeletedData.Text == rm.GetString("Grid_True", ci))
            {
                btn_Delete.Visible = false;
            }
            else if (lblDeletedData.Text == "False" || lblDeletedData.Text == rm.GetString("Grid_False", ci))
            {
                btn_Restore.Visible = false;
            }
            if (lblDeletedData.Text == "True")
            {
                lblDeletedData.Text = rm.GetString("Grid_True", ci);
            }
            else if (lblDeletedData.Text == "False")
            {
                lblDeletedData.Text = rm.GetString("Grid_False", ci);
            }
        }
    }
    //Getting Information from resource file and display it in label
    private void LoadStrings(CultureInfo ci)
    {
        lbl_VehicleNo.Text = rm.GetString("Vehicle_Master_Vehicle_No", ci);
        lbl_VehicleDescription.Text = rm.GetString("Vehicle_Master_Vehicle_Desc", ci);
        lbl_TransportationVehicle.Text = rm.GetString("Masters_Transportation_Vehicle_Master", ci);
        btn_Modify.Text = rm.GetString("btn_Modify", ci);
        btn_Delete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Delete", ci);
        btn_Cancel.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Back", ci);
        lblDeleted.Text = rm.GetString("DeleteStatus", ci);
        btn_PermanentDelete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_PermanentDelete", ci);
        btn_Restore.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Restore", ci);
    }
    private void UserRights()
    {
        ds_Checkuser = objCheckUser.checkRights(12, Convert.ToInt32(Session["userGroup_Id"]), "");
        if (ds_Checkuser.Tables[0].Rows.Count > 0)
        {
            if (ds_Checkuser.Tables[0].Rows[0]["viewPrv"] == DBNull.Value || Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["viewPrv"]) != 1)
            {
                Response.Redirect("TA_UI_MasterTransportationVehicleList.aspx");
            }
            if (ds_Checkuser.Tables[0].Rows[0]["modifyPrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["modifyPrv"]) == 1)
            {
                this.btn_Modify.Visible = true;
            }
            else
            {
                this.btn_Modify.Visible = false;
            }
            if (ds_Checkuser.Tables[0].Rows[0]["deletePrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["deletePrv"]) == 1)
            {
                this.btn_Delete.Visible = true;
                this.btn_PermanentDelete.Visible = true;
                this.btn_Restore.Visible = true;
            }
            else
            {
                this.btn_Delete.Visible = false;
                this.btn_PermanentDelete.Visible = false;
                this.btn_Restore.Visible = false;
            }
        }
        else
        {
            Response.Redirect("MasterLandingPage.aspx");
        }
    }

    private void loadcss()
    {
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        //if Standard Demo
        htmlTransVehicle.Attributes.Add("dir", rm.GetString("Direction", ci));
        if (source_Language == "Resources.Resource_AR")
        {
            stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            stylecustom.Href = "../dist/css/custom-rtl.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
        else
        {
            //htmlTransVehicle.Attributes.Add("dir", "rtl");
            //stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            //stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            //styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            //stylecustom.Href = "../dist/css/custom-rtl.css";
            //stylefonts.Href = "../dist/css/fonts.css";
            stylebootstrap.Href = "../bootstrap/css/bootstrap.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min.css";
            stylecustom.Href = "../dist/css/custom.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
    }

    #endregion
    #region ButtonEvents
    protected void btn_Modify_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_MasterTransportationVehicleModify.aspx?VehicleId=" + VehId);
    }
    protected void btn_Cancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_MasterTransportationVehicleList.aspx");
    }
    protected void btn_Delete_Click(object sender, EventArgs e)
    {
        Count = objTransportationVehicle.CheckVehicleNoBYVehicleID(Convert.ToString(VehId));
        if (Count == 0)
        {
            objTransportationVehicle.Delete_Vehicles("TemporaryDelete", VehId.ToString(), auEmpId);
            base.MessageWithRedirect(rm.GetString("Alert_Vehicledeletedsuccessfully", ci), "TA_UI_MasterTransportationVehicleList.aspx");
        }
        else
        {
            base.Message(rm.GetString("Master_Vehicle_Cannot_Delete", ci));
        }
    }
    protected void btn_PermanentDelete_Click(object sender, EventArgs e)
    {
        Count = objTransportationVehicle.CheckVehicleNoBYVehicleID(Convert.ToString(VehId));
        if (Count == 0)
        {
            objTransportationVehicle.Delete_Vehicles("PermanentDelete", VehId.ToString(), auEmpId);
            base.MessageWithRedirect(rm.GetString("Alert_Vehicledeletedsuccessfully", ci), "TA_UI_MasterTransportationVehicleList.aspx");
        }
        else
        {
            base.Message(rm.GetString("Master_Vehicle_Cannot_Delete", ci));
        }
    }
    protected void btn_Restore_Click(object sender, EventArgs e)
    {
        int Count = objTransportationVehicle.CheckVehicleNO_Update(VehId);
        if (Count > 0)
        {
            base.Message(rm.GetString("Message_Cannot_Restore", ci));
            return;
        }
        objTransportationVehicle.Delete_Vehicles("Restore", VehId.ToString(), auEmpId);
        base.MessageWithRedirect(rm.GetString("Alert_Vehiclerestoredsuccessfully", ci), "TA_UI_MasterTransportationVehicleList.aspx");
    }
    #endregion
}